.TH wxDialog 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxDialog \- See external documentation: wxDialog\&.
.SH DESCRIPTION
.LP
See external documentation: wxDialog <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxTopLevelWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxDialog()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxDialog()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialogwxdialog>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string()) -> wxDialog()
.br
.RS
.LP
Equivalent to new(Parent, Id, Title, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string(), Options::[Option]) -> wxDialog()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialogwxdialog>\&.
.RE
.LP
.B
create(This::wxDialog(), Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Title, [])\&.
.RE
.LP
.B
create(This::wxDialog(), Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialogcreate>\&.
.RE
.LP
.B
createButtonSizer(This::wxDialog(), Flags::integer()) -> wxSizer() (see module wxSizer)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialogcreatebuttonsizer>\&.
.RE
.LP
.B
createStdDialogButtonSizer(This::wxDialog(), Flags::integer()) -> wxStdDialogButtonSizer() (see module wxStdDialogButtonSizer)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialogcreatestddialogbuttonsizer>\&.
.RE
.LP
.B
endModal(This::wxDialog(), RetCode::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialogendmodal>\&.
.RE
.LP
.B
getAffirmativeId(This::wxDialog()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialoggetaffirmativeid>\&.
.RE
.LP
.B
getReturnCode(This::wxDialog()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialoggetreturncode>\&.
.RE
.LP
.B
isModal(This::wxDialog()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialogismodal>\&.
.RE
.LP
.B
setAffirmativeId(This::wxDialog(), AffirmativeId::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialogsetaffirmativeid>\&.
.RE
.LP
.B
setReturnCode(This::wxDialog(), ReturnCode::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialogsetreturncode>\&.
.RE
.LP
.B
show(This::wxDialog()) -> bool()
.br
.RS
.LP
Equivalent to show(This, [])\&.
.RE
.LP
.B
show(This::wxDialog(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {show, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialogshow>\&.
.RE
.LP
.B
showModal(This::wxDialog()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxdialog\&.html#wxdialogshowmodal>\&.
.RE
.LP
.B
destroy(This::wxDialog()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
